Subject: Re: bug#53903: aarch64: failed to compute the derivation for Guix

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 11 Feb 2022 14:05:28 +0100

pukkamustard <[email-masked]> writes:

> Ricardo Wurmus <[email-masked]> writes:
>
>> [..]
>>
>>>
>>> I tried building it again on the Overdrive machine, and it succeeded. I
>>> also tried building it with --cores=1 on the HoneyComb machine and that
>>> succeeded too.
>>
>> I have not been able to build this on Kreuzberg (a HoneyComb machine)
>> with “--cores=1”.  The same test keeps failing.  I tried this at least
>> five times.
>
> I'm seeing the same issue on a PinePhone (running PostmarketOS).
>
> Using "--cores=1" does not solve the issue for me. The same test keeps
> failing.

Thanks for reproducing this!

As a workaround I copied the successful build from an Overdrive machine
to ci.guix.gnu.org and substituted it on the HoneyComb machine.

Unfortunately, there’s yet another build that fails in the same manner
(/gnu/store/zakwql6wdm7rvq0grdfl3qa6b60s9px1-coreutils-minimal-8.32.drv); I’ll have the Overdrive build
it, so that the HoneyCombs can continue.

Clearly something’s up there and needs fixing.  But I can’t justify
keeping the three HoneyComb nodes idle, so I’m substituting these
builds.

-- 
Ricardo